import request from '@/utils/request'

// 表单模板列表
export const get = (query) => {
  return request({
    url: '/system/formTemplate/pageList',
    method: 'get',
    params: query
  })
}

// 保存表单模板数据
export const saveAndEdit = (data) => {
  return request({
    url: '/system/formTemplate/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// ID获取模板信息
export const selectById = (data) => {
  return request({
    url: '/system/formTemplate/selectById',
    method: 'get',
    params: data
  })
}

// 删除模板
export const deleteById = (data) => {
  return request({
    url: '/system/formTemplate/deleteById?id=' + data,
    method: 'delete',
    data: data
  })
}

// 获取列表展示信息
export const getTableInfo = (data) => {
  return request({
    url: '/system/formTemplate/getTableInfo',
    method: 'get',
    params: data
  })
}

// 获取列表分页查询
export const frmPageList = (data) => {
  return request({
    url: '/system/formTemplate/frmPageList',
    method: 'post',
    data: data
  })
}

// 获取表单数据详情
export const frmFindById = (data) => {
  return request({
    url: '/system/formTemplate/frmFindById',
    method: 'post',
    data: data
  })
}

// 新增修改表单数据
export const frmSaveAndUpdate = (data) => {
  return request({
    url: '/system/formTemplate/frmSaveAndUpdate',
    method: 'post',
    data: data
  })
}

// 删除表单数据
export const frmDelete = (data) => {
  return request({
    url: '/system/formTemplate/frmDelete',
    method: 'post',
    data: data
  })
}


